Commit a4d81054 authored by Vikas Pachdha's avatar Vikas Pachdha

Android: Support API level 25 and 26

Task-number: QTCREATORBUG-18690
Change-Id: Ifa25d95c75e854be1b88065925dd77296720f183
Reviewed-by: Eike Ziller's avatarEike Ziller <eike.ziller@qt.io>
Reviewed-by: default avatarBogDan Vatra <bogdan@kdab.com>
parent 66f75d6e
......@@ -241,7 +241,7 @@ void AndroidManager::setDeviceSerialNumber(ProjectExplorer::Target *target, cons
QPair<int, int> AndroidManager::apiLevelRange()
{
return qMakePair(9, 23);
return qMakePair(9, 26);
}
QString AndroidManager::androidNameForApiLevel(int x)
......@@ -291,6 +291,8 @@ QString AndroidManager::androidNameForApiLevel(int x)
return QLatin1String("Android 7.0");
case 25:
return QLatin1String("Android 7.1");
case 26:
return QLatin1String("Android 8.0");
default:
return tr("Unknown Android version. API Level: %1").arg(QString::number(x));
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment